package contextkey

import (
	"net/http"
	"wechat-api/ent"
)

// 在包内定义全局键（通常在 vars 块或 init 函数中初始化）
var (
	HttpResponseWriterKey = NewCtxKey[http.ResponseWriter]() // 管理http.ResponseWriter
	OpenapiTokenKey       = NewCtxKey[string]()              // 管理openai token
	AuthTokenInfoKey      = NewCtxKey[*ent.ApiKey]()
)
